Name:		texi2html
Version:	5.0
Release:	13
License:	GPLv2+ and OFSFDL and (CC-BY-SA or GPLv2)
Summary:	Tools for converting Texinfo source files to HTML output
URL:		http://www.nongnu.org/texi2html/
Source0:	http://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.bz2
# Do not install bundled Unicode-EastAsianWidth, bug #1154436,
# <https://savannah.nongnu.org/bugs/?43456>
Patch0:		texi2html-5.0-Do-not-install-Unicode-EastAsianWidth-if-external-is.patch
# Do not install bundled libintl-perl, <https://savannah.nongnu.org/bugs/?43457>
Patch1:		texi2html-5.0-Do-not-install-libintl-perl-if-external-is-used.patch

Requires:	perl-interpreter >= 5.004
Requires:	perl(Locale::Messages)
Requires:	perl(Text::Unidecode)
Requires:	perl(Unicode::EastAsianWidth)
BuildRequires:	git
BuildArch:	noarch

%description
Texi2HTML is a Perl script which converts Texinfo source files to HTML output,\
it now supports many advanced features, such as internationalization and extremely\
configurable output formats.\

%package        help
Summary:        Help manual for %{name}

%description    help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit
# Remove bundled modules
rm -r lib
# Regenerate build script because of the patch
aclocal -I m4
automake --add-missing
autoconf

%build
%configure --with-external-libintl-perl=yes \
    --with-external-Unicode-EastAsianWidth=yes
%make_build

%install
#rm -rf $RPM_BUILD_ROOT
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# directories shared by all the texinfo implementations for common
# config files, like htmlxref.cnf
mkdir -p $RPM_BUILD_ROOT%{_datadir}/texinfo $RPM_BUILD_ROOT%{_sysconfdir}/texinfo

%find_lang %{name}
%find_lang %{name}_document

%check
#make check

%files -f %{name}.lang -f %{name}_document.lang
%doc ChangeLog NEWS README TODO %{name}.init
%license AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/texinfo/html/%{name}.html
%{_infodir}/%{name}.info*
%{_datadir}/texinfo/init/*.init
%{_datadir}/%{name}/i18n/*
%{_datadir}/%{name}/images/*
%dir %{_datadir}/texinfo
%dir %{_sysconfdir}/texinfo

%files help
%{_mandir}/man*/%{name}*

%changelog
* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.0-13
- remove useless Requires of package

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0-12
- Package init
